#!/bin/sh
#
# test xplanet binary
# 

tmp=/tmp/$$
here=$(pwd)

if [ $? -ne 0 ]; then exit 1; fi

fail()
{

    echo FAILED 1>&2
    cd $here
    ##rm -fr $tmp
    exit 1

}

pass()
{

    cd $here
    rm -fr $tmp
    exit 0

}

trap "fail" 1 2 3 15

# Create and switch to temporary directory

mkdir $tmp
if [ $? -ne 0 ]; then fail; fi

cd $tmp
if [ $? -ne 0 ]; then fail; fi

# Input

cat > test.in <<EOF
$here/xplanet --output output.tiff
EOF
if [ $? -ne 0 ]; then fail; fi

# Output is non-deterministic; can't do cmp on images

# Run test

sh ./test.in 
if [ $? -ne 0 ]; then fail; fi

pass
