#!/bin/sh
#
# test for the new names of the Mesa libraries
# 

tmp=/tmp/$$
here=$(pwd)

if [ $? -ne 0 ]; then exit 1; fi

fail()
{

    echo FAILED 1>&2
    cd $here
    rm -fr $tmp
    exit 1

}

pass()
{

    cd $here
    rm -fr $tmp
    exit 0

}

trap "fail" 1 2 3 15

# Ensure we're no longer referencing the old style mesa libs.

grep -q -- "^[^#].*-lMesa" $here/aclocal.m4
if [ $? -ne 1 ]; then fail; fi

grep -q -- "^[^#].*-lMesa" $here/configure
if [ $? -ne 1 ]; then fail; fi
 
pass
